- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_cluster_config – Configure Element SW Cluster

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Configure Element Software cluster.

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1
- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
enable_virtual_volumes boolean | Choices: no yes ← | Enable the NetApp SolidFire VVols cluster feature
encryption_at_rest - | Choices: present absent | enable or disable the Advanced Encryption Standard (AES) 256-bit encryption at rest on the cluster
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
modify_cluster_full_threshold - |  | The capacity level at which the cluster generates an event Requires a stage3_block_threshold_percent or max_metadata_over_provision_factor or stage2_aware_threshold
| max_metadata_over_provision_factor - |  | The number of times metadata space can be overprovisioned relative to the amount of space available
| stage2_aware_threshold - |  | The number of nodes of capacity remaining in the cluster before the system triggers a notification
| stage3_block_threshold_percent - |  | The percentage below the "Error" threshold that triggers a cluster "Warning" alert
password - / required |  | Password for the specified user. aliases: pass
set_ntp_info - |  | configure NTP on cluster node Requires a list of one or more ntp_servers
| broadcastclient boolean | Choices: no ← yes | Enables every node in the cluster as a broadcast client
| ntp_servers - |  | list of NTP servers to add to each nodes NTP configuration
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Configure cluster
      tags:
      - elementsw_cluster_config
      na_elementsw_cluster_config:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        modify_cluster_full_threshold:
          stage2_aware_threshold: 2
          stage3_block_threshold_percent: 10
          max_metadata_over_provision_factor: 2
        encryption_at_rest: absent
        set_ntp_info:
          broadcastclient: False
          ntp_servers:
          - 1.1.1.1
          - 2.2.2.2
        enable_virtual_volumes: True

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.